HaruPage::getTextWidth
HaruPage::getWidth
HaruPage
PHP Manual

# HaruPage::getTransMatrix

(PECL haru:0.0.1)

HaruPage::getTransMatrix — Get the current transformation matrix of the page

### Description

array HaruPage::getTransMatrix ( void )

Get the current transformation matrix of the page.

### Parameters

This function has no parameters.

### Return Values

Returns the current transformation matrix of the page as an array of 6 elements: "a", "b", "c", "d", "x" and "y".

### Errors/Exceptions

Throws HaruException on error.

### See Also

- HaruPage::concat()

HaruPage::getTextWidth
HaruPage::getWidth
HaruPage
PHP Manual